
#define HAMELIB_VERSION 2

/*

  Version 2.1
  -----------
    Fixed bug allowing color register writes to any reg from 0 to 255
    regardless of number of cookie lines.

  Version 2.0
  -----------

    I blew it! ( Pete Patterson - [8+) )

    Sorry folks, but in version 1.0 of this library, I overlooked an
    important aspect of the library. Version 1.0 was able to handle
    multiple HamePorts on a screen, but there was no way to limit
    drawing operations into a HamePort vertically.

    Prior to this release (V2.0), if multiple HamePorts were opened on
    a screen, they would extend from their starting positions all
    the way to the bottom of the screen. This allowed the user to damage
    any of the lower HamePorts cookies simply by drawing into another
    HamePort above them at certain positions.

    This effect totally defeated the purpose of the righteous clipping
    routines we have worked so hard to provide, so being the responsive
    and responsible types we are, we decided to finish the job.

    Version 2.0 now correctly limits all rendering into the screen region
    defined by HAME_Init.

    Unfortunately, in order to do this, the HAME_Init function has been
    modified to take an additional parameter. See the HAME_Init function
    description in hamelib.doc for details.

    Changes/Bug Fixes since V1.0 - April 4, 1991
    ----------------------------

      - Added BaseLine element to HameFont structure for user
        convenience.

      - Fixed bug in HAME_WaitScanline causing lockup if user had
        an interlace workbench screen.

      - Fixed various bugs relating to the handling of interlace
        screens.

      - Added rows parameter to the end of the HAME_Init call to limit
        the height of a HamePort.

      - Internal re-organization of program strategy to accomodate multiple
        vertically clipped HamePorts on a given screen.

      - Various speed/efficiency improvements throughout.

      - Fixed multi-tasking bugs relating to our direct use of the blitter.

      - Fixed clipping bug in HAME_8BitRender() routine.

*/
